//Server-side Move-Input Detection
$Dir[0] = "Forward";
$Dir[1] = "Left";
$Dir[2] = "Backward";
$Dir[3] = "Right";
function serverCmdSetMoveTrigger(%client,%input,%val) //input = 0 1 2 or 3 (by default - W A S or D, relayed from client), val is a bool
{
	%client.KeyMove[$Dir[%input]] = %val; //e.g. "%client.KeyMoveLeft = true;"
}

//Server-side Action-Input Detection
$slot[2] = "jump"; //similar to onTrigger(%slot 2), but unaffected by Orbit mode
$slot[3] = "crouch"; //similar to onTrigger(%slot 3), but unaffected by Orbit mode
function serverCmdSetActionTrigger(%client,%input,%val) //input = 2 or 3 (by default - Space or Shift, relayed from client), val is a bool
{
	%client.KeyAction[$slot[%input]] = %val; //e.g. "%client.KeyActionJump = true;"
}

//Hook for preventing double execution
$MoveInputDetectionOn::Server = true;