//Delete Client.cs and Server.cs from input [script].zip
function MoveInputFileCleanup(%script)
{
	%cs[0] = "client.cs";
	%cs[1] = "server.cs";
	for(%a=0;%a<2;%a++)//isFile("Add-Ons/System_ReturnToBlockland/server.cs");
	{
		%file[%a] = isFile("Add-Ons/" @ %script @ "/" @ %cs[%a]);
	//	echo("File [%a] =" SPC %file[%a]);
		if(%file[%a])
		{
			fileDelete("Add-Ons/" @ %script @ "/" @ %cs[%a]);
			echo("For" SPC %script @".zip,  Delete successful");
		}
	//	else
	//		echo("For" SPC %script @".zip,  Files not found.");
	}
}

//Delete older versions of MoveInputDetection (to prevent code incompatibility)
MoveInputFileCleanup("Script_MoveInputDetect"); //..
MoveInputFileCleanup("Server_MoveInputDetect"); //..

//Execute client-side Key Input Relays
exec("./Client_KeyInputRelay.cs");

//Hook in client-side Eye Vector Relay
exec("./Client_RelayEyeVector.cs");
//Hook in client-side Key Input Cam Sync
exec("./Client_HataInputCamSync.cs");
//Hook in Server-side Look Control
exec("./Client_HataLookCtrl.cs");

//Hook in Third Person Crosshair
exec("./Gui_HataCrosshair.gui");
exec("./Client_HataCrosshair.cs");

//Hook in Server-side Items Control
exec("./Client_ItemsOverride.cs");
