//Prefs
$Check::RTB_On = isFile("Add-Ons/System_ReturnToBlockland/server.cs");
$Check::Glass_On = isFile("Add-Ons/System_BlocklandGlass/server.cs");
if($Check::RTB_On || $Check::Glass_On) //check for RTB or Bl Glass
{
	if(!$ItemDeath::PrefsLoaded)
	{
		if(!$RTB::RTBR_ServerControl_Hook && $Check::RTB_On && !$Check::Glass_On) //only exec if RTB exists not Glass
			exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
		RTB_registerPref("Enabled", "Drop Item On Death", "Pref::ItemDeath::Enabled", "bool", "Server_DropItemOnDeath", true);
		$ItemDeath::PrefsLoaded = true;
	}
}
else
{
	$Pref::ItemDeath::Enabled = true;
}

package ItemDeath
{
	//on Death
	function Armor::onDisabled(%data,%obj,%enabled)
	{	
		if($Pref::ItemDeath::Enabled)
			DeathDropCurrentItem(%obj);
		Parent::onDisabled(%data,%obj,%enabled);
	}
};activatePackage(ItemDeath);

//Drop Weapon Even As Bot
function DeathDropCurrentItem(%obj)
{
	if(isObject(%obj.client.minigame) || %obj.client $= "")
	{
		%wep = %obj.getMountedImage(0); //mounted item image
		%slot = %obj.currTool; //current item slot number
		if(%slot > -1 && %obj.tool[%slot].canDrop)
		{
		//	servercmdDropTool(%obj.client,%slot);
		//	if(!isObject(%obj.tool[%slot]))
		//		return;
			%obj.tool[%slot] = 0;
			%obj.weaponCount--;
			messageClient(%obj.client,'MsgItemPickup','',%slot,0,true);
			%obj.unmountImage(0);
			fixArmReady(%obj);
		//	commandToClient(%obj.client,'SetScrollMode',3);
		//	return;
			%override = true;
		}
		%item = %wep-1;
		if(!%override && (!isObject(%wep) || !%item.canDrop))
			return;
		%obj.unmountImage(0);
		%item = new item()
		{
			datablock = %item;
		};
		if(isObject(%item))
		{
			%item.schedulePop();
			%pos = %obj.getPosition();
			%rot = getWords(%obj.getTransform(),3,6);
			%pos = vectorAdd(%pos,"0 0 1.7");
			%fVec = %obj.getForwardVector();

			%item.setTransform(vectorAdd(vectorScale(%fVec,1.5),%pos) SPC %rot);
			%item.setVelocity(vectorAdd(vectorScale(%fVec,7),%obj.getVelocity()));
			%item.miniGame = getMiniGameFromObject(%obj);// %obj.spawnBrick.getGroup().client.miniGame;//Rewrite so this actually functions ##
		}
	}
}