//Prefs
$Pref::Server::ServerInfo_FileLocation = "config/server/ServerInfo/Info.txt";
$Pref::Server::ServerInfo_Delay = "300000";

//Getting the line count
function getLineCountInFile(%file)
{
    if(!isFile(%file))
    return -1;
    
    %f = new fileObject();
    %f.openForRead(%file);
    %count = 0;
    while(!%f.isEOF())
        {
                %f.readLine();
                %count++;
        }
    %f.delete();
    return %count;
}

//Picking a random line
function getRandomLineInFile(%file)
{
    if(!isFile(%file))
    return "ERROR: Server info file not found, please contact the server's host.";
    
    %random = getRandom(0,getLineCountInFile(%file));
    %f = new fileObject();
    %f.openForRead(%file);
    for(%i=0;%i<=%random;%i++)
    %line = %f.readLine();
    %f.delete();
    return %line;
}

//The main part, announcing the line.
function SIannounce()
{
    cancel($SI::Sched);
    announce("\c2Info\c6: " @ getRandomLineInFile($Pref::Server::ServerInfo_FileLocation) @ "");
    $SI::Sched = schedule($Pref::Server::ServerInfo_Delay,0,SIannounce);
}
SIannounce();
