//Movement Inputs
package MovementKeyInputRelays
{
	//Move Rightward (default D)
	function moveRight(%val)
	{
		commandToServer('SetMoveTrigger',3,%val); //relay 'Move Trigger' to server
		if(!$Hata_MoveInputOverride || $camSyncOverride) //if 'Move Input Override' = false
		{
			Parent::moveRight(%val); //Parent default 'move Rightward' fcn
			$camSyncOverride = $camSyncOverride ? false : $camSyncOverride; //reset 'cam Sync Override' bool (if it's set)
		}
		else //otherwise
		{
			$Hata_MoveRight = %val; //store 'val' bool as a global variable
			KeyInputCamSync("right",true); //Do the appropriate relative action
		}
	}
	//Move Leftward (default A)
	function moveLeft(%val)
	{
		commandToServer('SetMoveTrigger',1,%val); //relay 'Move Trigger' to server
		if(!$Hata_MoveInputOverride || $camSyncOverride) //if 'Move Input Override' = false
		{
			Parent::moveLeft(%val); //Parent default 'move Leftward' fcn
			$camSyncOverride = $camSyncOverride ? false : $camSyncOverride; //reset 'cam Sync Override' bool (if it's set)
		}
		else //otherwise
		{
			$Hata_MoveLeft = %val; //store 'val' bool as a global variable
			KeyInputCamSync("left",true); //Do the appropriate relative action
		}
	}
	//Move Forward (default W)
	function moveForward(%val)
	{
		commandToServer('SetMoveTrigger',0,%val); //relay 'Move Trigger' to server
		if(!$Hata_MoveInputOverride || $camSyncOverride) //if 'Move Input Override' = false
		{
			Parent::moveForward(%val); //Parent default 'move Forward' fcn
			$camSyncOverride = $camSyncOverride ? false : $camSyncOverride; //reset 'cam Sync Override' bool (if it's set)
		}
		else //otherwise
		{
			if($yzFlip) //if (Forward / Backward) - (Up / Down) flip enabled
			{
				$Hata_MoveUp = %val; //store 'val' bool as a global variable
				KeyInputCamSync("up",true); //Do the appropriate relative action
			}
			else //otherwise
			{
				$Hata_MoveForward = %val; //store 'val' bool as a global variable
				KeyInputCamSync("forward",true); //Do the appropriate relative action
			}
		}
	}
	//Move Backward (default S)
	function moveBackward(%val)
	{
		commandToServer('SetMoveTrigger',2,%val); //relay 'Move Trigger' to server
		if(!$Hata_MoveInputOverride || $camSyncOverride) //if 'Move Input Override' = false
		{
			Parent::moveBackward(%val); //Parent default 'move Backward' fcn
			$camSyncOverride = $camSyncOverride ? false : $camSyncOverride; //reset 'cam Sync Override' bool (if it's set)
		}
		else //otherwise
		{
			if($yzFlip) //if (Forward / Backward) - (Up / Down) flip enabled
			{
				$Hata_MoveDown = %val; //store 'val' bool as a global variable
				KeyInputCamSync("down",true); //Do the appropriate relative action
			}
			else //otherwise
			{
				$Hata_MoveBackward = %val; //store 'val' bool as a global variable
				KeyInputCamSync("backward",true); //Do the appropriate relative action
			}
		}
	}
	//Jump (default Spacebar)
	function Jump(%val)
	{
		commandToServer('SetActionTrigger',2,%val); //relay 'Action Trigger' to server
		if(!$Hata_MoveInputOverride || $camSyncOverride) //if 'Move Input Override' = false
		{
			Parent::Jump(%val); //Parent default 'Jump' fcn
			$camSyncOverride = $camSyncOverride ? false : $camSyncOverride; //reset 'cam Sync Override' bool (if it's set)
		}
		else //otherwise
		{
			if($yzFlip) //if (Forward / Backward) - (Up / Down) flip enabled
			{
				$Hata_MoveBackward = %val; //store 'val' bool as a global variable
				KeyInputCamSync("backward",true); //Do the appropriate relative action
			}
			else //otherwise
			{
				$Hata_MoveUp = %val; //store 'val' bool as a global variable
				KeyInputCamSync("up",true); //Do the appropriate relative action
			}
		}
	}
	//Crouch (default Shift)
	function Crouch(%val)
	{
		commandToServer('SetActionTrigger',3,%val); //relay 'Action Trigger' to server
		if(!$Hata_MoveInputOverride || $camSyncOverride) //if 'Move Input Override' = false
		{
			Parent::Crouch(%val); //Parent default 'Crouch' fcn
			$camSyncOverride = $camSyncOverride ? false : $camSyncOverride; //reset 'cam Sync Override' bool (if it's set)
		}
		else //otherwise
		{
			if($yzFlip) //if (Forward / Backward) - (Up / Down) flip enabled
			{
				$Hata_MoveForward = %val; //store 'val' bool as a global variable
				KeyInputCamSync("forward",true); //Do the appropriate relative action
			}
			else //otherwise
			{
				$Hata_MoveDown = %val; //store 'val' bool as a global variable
				KeyInputCamSync("down",true); //Do the appropriate relative action
			}
		}
	}
};activatePackage(MovementKeyInputRelays);