registerInputEvent("fxDtsBrick","onLedgeGrab","Self fxDTSBrick" TAB "Client GameConnection");
registerInputEvent("fxDtsBrick","onLedgeMove","Self fxDTSBrick" TAB "Client GameConnection");
function fxDTSBrick::onLedgeGrab(%brick,%client)
{
	%player = %client.player; //player object
	if(%brick == %player.oldHangBrick && isObject(%player.oldHangBrick)) //if %brick is the same as the old brick, and the old brick exists
		return;
	$inputTarget_["Self"] = %brick;
	$inputTarget_["Player"] = %player;
	$inputTarget_["Bot"] = %brick.vehicle;
	$inputTarget_["Client"] = %client;

	if($Server::LAN)
		$inputTarget_["Minigame"] = getMinigameFromObject(%client);
	else
	{
		if(getMinigameFromObject(%brick) == getMinigameFromObject(%client))
			$inputTarget_["Minigame"] = getMinigameFromObject(%client);
		else
			$inputTarget_["Minigame"] = 0;
	}
	%brick.processInputEvent("onLedgeGrab",%client);
	%player.oldHangBrick = %brick;
	%brick.isGrabOverriding = true; //override onLedgeMove if onLedgeGrab is called first
	%brick.schedule(10,0,eval,%player@".isGrabOverriding = false;"); //
}
function fxDTSBrick::onLedgeMove(%brick,%client)
{
	%player = %client.player; //player object
	if(%brick == %player.oldHangBrick && isObject(%player.oldHangBrick) && !%brick.isGrabOverriding) //if %brick is the same as the old brick, and the old brick exists, and onLedgeGrab has not just been called
		return;
	$inputTarget_["Self"] = %brick;
	$inputTarget_["Player"] = %player;
	$inputTarget_["Bot"] = %brick.vehicle;
	$inputTarget_["Client"] = %client;

	if($Server::LAN)
		$inputTarget_["Minigame"] = getMinigameFromObject(%client);
	else
	{
		if(getMinigameFromObject(%brick) == getMinigameFromObject(%client))
			$inputTarget_["Minigame"] = getMinigameFromObject(%client);
		else
			$inputTarget_["Minigame"] = 0;
	}
	%brick.processInputEvent("onLedgeMove",%client);
	%player.oldHangBrick = %brick;
}