//Damage type
AddDamageType("NewAxe",   '<bitmap:add-ons/Tool_AxePickaxe/CI_rpgAxe> %1',    '%2 <bitmap:add-ons/Tool_AxePickaxe/CI_rpgAxe> %1',0.75,1);
//Base Projectile
datablock ProjectileData(NewAxeProjectile : SwordProjectile)
{
        directDamage      = 20; //unused
        directDamageType  = $DamageType::NewAxe;
        radiusDamageType  = $DamageType::NewAxe;

        muzzleVelocity    = 65;
        velInheritFactor  = 0;

        armingDelay                  = 0;
        lifetime          = 100;
        fadeDelay         = 70;

        isNewAxe = true; //fancy hook for Parenting
};
//Base Item
datablock ItemData(NewAxeItem : swordItem)
{
        shapeFile = "./Lil_Axe.dts"; //base shape file
        uiName = ""; //unused
        doColorShift = true;
        colorShiftColor = "1 1 1 1"; //unused

        image = NewAxeImage;
        canDrop = true;
        iconName = "./icon_rpgAxe";
};
//Base Image
datablock ShapeBaseImageData(NewAxeImage)
{
        emap = true;
        shapeFile = NewAxeItem.shapeFile; //use Item shapefile

        mountPoint = 0;
        offset = "0 0 0";

        className = "WeaponImage";

        item = NewAxeItem;
        ammo = " ";
        projectile = NewAxeProjectile;
        projectileType = Projectile;

        correctMuzzleVector = false;
        doRetraction = false;
        armReady = true;
        melee = true;

        doColorShift = true;
        colorShiftColor = "1 1 1 1"; //unused

        isNewAxe = true; //fancy hook for Parenting

        stateName[0]                    = "Activate";
        stateTimeoutValue[0]            = 0.5;
        stateTransitionOnTimeout[0]     = "Ready";
        stateSound[0]                   = swordDrawSound;

        stateName[1]                    = "Ready";
        stateTransitionOnTriggerDown[1] = "PreFire";
        stateAllowImageChange[1]        = true;

        stateName[2]                                        = "PreFire";
        stateScript[2]                  = "onPreFire";
        stateAllowImageChange[2]        = false;
        stateTimeoutValue[2]            = 0.1;
        stateTransitionOnTimeout[2]     = "Fire";

        stateName[3]                    = "Fire";
        stateTransitionOnTimeout[3]     = "CheckFire";
        stateTimeoutValue[3]            = 1;
        stateFire[3]                    = true;
        stateAllowImageChange[3]        = false;
        stateSequence[3]                = "Fire";
        stateScript[3]                  = "onFire";
        stateWaitForTimeout[3]                        = true;

        stateName[4]                                        = "CheckFire";
        stateTransitionOnTriggerUp[4]        = "StopFire";
        stateTransitionOnTriggerDown[4]        = "Fire";

        
        stateName[5]                    = "StopFire";
        stateTransitionOnTimeout[5]     = "Ready";
        stateTimeoutValue[5]            = 1;
        stateAllowImageChange[5]        = false;
        stateWaitForTimeout[5]                        = true;
        stateSequence[5]                = "StopFire";
        stateScript[5]                  = "onStopFire";
        
};


/////////
//Stone//
/////////

//Stone Axe Projectile
datablock ProjectileData(StoneAxeProjectile : NewAxeProjectile)
{
        directDamage = 5; //change this
        uiName = "B Stone Axe Hit"; //in game name
};
//Stone Axe Item
datablock ItemData(StoneAxeItem : NewAxeItem)
{
        colorShiftColor = "0.7 0.7 0.7 1"; //change this
        image = StoneAxeImage; //weapon image
        uiName = "B Stone Axe"; //in game name
};
//Stone Axe Image
datablock ShapeBaseImageData(StoneAxeImage : NewAxeImage)
{
        colorShiftColor = "0.7 0.7 0.7 1"; //change this
        projectile = StoneAxeProjectile; //weapon projectile
};


////////
//Gold//
////////

//Gold Axe Projectile
datablock ProjectileData(GoldAxeProjectile : NewAxeProjectile)
{
        directDamage = 25; //change this
        uiName = "B Gold Axe Hit"; //in game name
};
//Gold Axe Item
datablock ItemData(GoldAxeItem : NewAxeItem)
{
        colorShiftColor = "1 0.83 0.32 1.000"; //change this
        image = GoldAxeImage; //weapon image
        uiName = "B Gold Axe"; //in game name
};
//Gold Axe Image
datablock ShapeBaseImageData(GoldAxeImage : NewAxeImage)
{
        colorShiftColor = "1 0.83 0.32 1.000"; //change this
        projectile = GoldAxeProjectile; //weapon projectile
};


////////
//Flint//
////////

//Flint Axe Projectile
datablock ProjectileData(FlintAxeProjectile : NewAxeProjectile)
{
        directDamage = 15; //change this
        uiName = "B Flint Axe Hit"; //in game name
};
//Flint Axe Item
datablock ItemData(FlintAxeItem : NewAxeItem)
{
        colorShiftColor = "0.250 0.250 0.250 1.000"; //change this
        image = FlintAxeImage; //weapon image
        uiName = "B Flint Axe"; //in game name
};
//Flint Axe Image
datablock ShapeBaseImageData(FlintAxeImage : NewAxeImage)
{
        colorShiftColor = "0.250 0.250 0.250 1.000"; //change this
        projectile = FlintAxeProjectile; //weapon projectile
};


////////
//Copper//
////////

//Copper Axe Projectile
datablock ProjectileData(CopperAxeProjectile : NewAxeProjectile)
{
        directDamage = 10; //change this
        uiName = "B Copper Axe Hit"; //in game name
};
//Copper Axe Item
datablock ItemData(CopperAxeItem : NewAxeItem)
{
        colorShiftColor = "0.300 0.096 0 1.000"; //change this
        image = CopperAxeImage; //weapon image
        uiName = "B Copper Axe"; //in game name
};
//Copper Axe Image
datablock ShapeBaseImageData(CopperAxeImage : NewAxeImage)
{
        colorShiftColor = "0.300 0.096 0 1.000"; //change this
        projectile = CopperAxeProjectile; //weapon projectile
};


////////
//Iron//
////////

//Iron Axe Projectile
datablock ProjectileData(IronAxeProjectile : NewAxeProjectile)
{
        directDamage = 20; //change this
        uiName = "B Iron Axe Hit"; //in game name
};
//Iron Axe Item
datablock ItemData(IronAxeItem : NewAxeItem)
{
        colorShiftColor = "0.3 0.2 0.2 1"; //change this
        image = IronAxeImage; //weapon image
        uiName = "B Iron Axe"; //in game name
};
//Iron Axe Image
datablock ShapeBaseImageData(IronAxeImage : NewAxeImage)
{
        colorShiftColor = "0.3 0.2 0.2 1"; //change this
        projectile = IronAxeProjectile; //weapon projectile
};


////////
//Platinum//
////////

//Platinum Axe Projectile
datablock ProjectileData(PlatinumAxeProjectile : NewAxeProjectile)
{
        directDamage = 30; //change this
        uiName = "B Platinum Axe Hit"; //in game name
};
//Platinum Axe Item
datablock ItemData(PlatinumAxeItem : NewAxeItem)
{
        colorShiftColor = "0.85 0.85 1 1"; //change this
        image = PlatinumAxeImage; //weapon image
        uiName = "B Platinum Axe"; //in game name
};
//Platinum Axe Image
datablock ShapeBaseImageData(PlatinumAxeImage : NewAxeImage)
{
        colorShiftColor = "0.85 0.85 1 1"; //change this
        projectile = PlatinumAxeProjectile; //weapon projectile
};


////////
//Mithril//
////////

//Mithril Axe Projectile
datablock ProjectileData(MithrilAxeProjectile : NewAxeProjectile)
{
        directDamage = 35; //change this
        uiName = "B Mithril Axe Hit"; //in game name
};
//Mithril Axe Item
datablock ItemData(MithrilAxeItem : NewAxeItem)
{
        colorShiftColor = "0.1 0.55 1 1"; //change this
        image = MithrilAxeImage; //weapon image
        uiName = "B Mithril Axe"; //in game name
};
//Mithril Axe Image
datablock ShapeBaseImageData(MithrilAxeImage : NewAxeImage)
{
        colorShiftColor = "0.1 0.55 1 1"; //change this
        projectile = MithrilAxeProjectile; //weapon projectile
};


////////
//Plastinium//
////////

//Plastinium Axe Projectile
datablock ProjectileData(PlastiniumAxeProjectile : NewAxeProjectile)
{
        directDamage = 40; //change this
        uiName = "B Plastinium Axe Hit"; //in game name
};
//Plastinium Axe Item
datablock ItemData(PlastiniumAxeItem : NewAxeItem)
{
        colorShiftColor = "1 1 1 1"; //change this
        image = PlastiniumAxeImage; //weapon image
        uiName = "B Plastinium Axe"; //in game name
};
//Plastinium Axe Image
datablock ShapeBaseImageData(PlastiniumAxeImage : NewAxeImage)
{
        colorShiftColor = "1 1 1 1"; //change this
        projectile = PlastiniumAxeProjectile; //weapon projectile
};
