//Damage type
AddDamageType("NewPickaxe",   '<bitmap:add-ons/Tool_AxePickaxe/CI_rpgPickaxe> %1',    '%2 <bitmap:add-ons/Tool_AxePickaxe/CI_rpgPickaxe> %1',0.75,1);
//Base Projectile
datablock ProjectileData(NewPickaxeProjectile : SwordProjectile)
{
   directDamage      = 15; //unused
   directDamageType         = $DamageType::NewPickaxe;
   radiusDamageType  = $DamageType::NewPickaxe;
   explosion         = SwordExplosion;

   muzzleVelocity    = 50;
   velInheritFactor  = 0;

   armingDelay       = 0;
   lifetime          = 100;
   fadeDelay         = 70;
   
   isNewPickaxe = true; //fancy hook for Parenting
};
//Base Item
datablock ItemData(NewPickaxeItem : swordItem)
{
        shapeFile = "./Lil_Pickaxe.dts"; //base shape file
        uiName = ""; //unused
        doColorShift = true;
        colorShiftColor = "1 1 1 1"; //unused

        image = NewPickaxeImage;
        canDrop = true;
        iconName = "./icon_rpgPickaxe";
};
//Base Image
datablock ShapeBaseImageData(NewPickaxeImage : NewAxeImage)
{
        shapeFile = NewPickaxeItem.shapeFile; //use Item shapefile
        projectile = NewPickaxeProjectile;

        isNewAxe = false; //remove inhereited "isNewAxe" hook
        isNewPickaxe = true; //fancy hook for Parenting
};


/////////
//Stone//
/////////

//Stone Pickaxe Projectile
datablock ProjectileData(StonePickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 5; //change this
        uiName = "B Stone Pickaxe Hit"; //in game name
};
//Stone Pickaxe Item
datablock ItemData(StonePickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "0.7 0.7 0.7 1"; //change this
        image = StonePickaxeImage; //weapon image
        uiName = "B Stone Pickaxe"; //in game name
};
//Stone Pickaxe Image
datablock ShapeBaseImageData(StonePickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "0.7 0.7 0.7 1"; //change this
        projectile = StonePickaxeProjectile; //weapon projectile
};


////////
//Gold//
////////

//Gold Pickaxe Projectile
datablock ProjectileData(GoldPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 25; //change this
        uiName = "B Gold Pickaxe Hit"; //in game name
};
//Gold Pickaxe Item
datablock ItemData(GoldPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "1 0.83 0.32 1.000"; //change this
        image = GoldPickaxeImage; //weapon image
        uiName = "B Gold Pickaxe"; //in game name
};
//Gold Pickaxe Image
datablock ShapeBaseImageData(GoldPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "1 0.83 0.32 1.000"; //change this
        projectile = GoldPickaxeProjectile; //weapon projectile
};


////////
//Flint//
////////

//Flint Pickaxe Projectile
datablock ProjectileData(FlintPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 15; //change this
        uiName = "B Flint Pickaxe Hit"; //in game name
};
//Flint Pickaxe Item
datablock ItemData(FlintPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "0.250 0.250 0.250 1.000"; //change this
        image = FlintPickaxeImage; //weapon image
        uiName = "B Flint Pickaxe"; //in game name
};
//Flint Pickaxe Image
datablock ShapeBaseImageData(FlintPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "0.250 0.250 0.250 1.000"; //change this
        projectile = FlintPickaxeProjectile; //weapon projectile
};


////////
//Copper//
////////

//Copper Pickaxe Projectile
datablock ProjectileData(CopperPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 10; //change this
        uiName = "B Copper Pickaxe Hit"; //in game name
};
//Copper Pickaxe Item
datablock ItemData(CopperPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "0.300 0.096 0 1.000"; //change this
        image = CopperPickaxeImage; //weapon image
        uiName = "B Copper Pickaxe"; //in game name
};
//Copper Pickaxe Image
datablock ShapeBaseImageData(CopperPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "0.300 0.096 0 1.000"; //change this
        projectile = CopperPickaxeProjectile; //weapon projectile
};


////////
//Iron//
////////

//Iron Pickaxe Projectile
datablock ProjectileData(IronPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 20; //change this
        uiName = "B Iron Pickaxe Hit"; //in game name
};
//Iron Pickaxe Item
datablock ItemData(IronPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "0.3 0.2 0.2 1"; //change this
        image = IronPickaxeImage; //weapon image
        uiName = "B Iron Pickaxe"; //in game name
};
//Iron Pickaxe Image
datablock ShapeBaseImageData(IronPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "0.3 0.2 0.2 1"; //change this
        projectile = IronPickaxeProjectile; //weapon projectile
};


////////
//Platinum//
////////

//Platinum Pickaxe Projectile
datablock ProjectileData(PlatinumPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 30; //change this
        uiName = "B Platinum Pickaxe Hit"; //in game name
};
//Platinum Pickaxe Item
datablock ItemData(PlatinumPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "0.85 0.85 1 1"; //change this
        image = PlatinumPickaxeImage; //weapon image
        uiName = "B Platinum Pickaxe"; //in game name
};
//Platinum Pickaxe Image
datablock ShapeBaseImageData(PlatinumPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "0.85 0.85 1 1"; //change this
        projectile = PlatinumPickaxeProjectile; //weapon projectile
};


////////
//Mithril//
////////

//Mithril Pickaxe Projectile
datablock ProjectileData(MithrilPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 35; //change this
        uiName = "B Mithril Pickaxe Hit"; //in game name
};
//Mithril Pickaxe Item
datablock ItemData(MithrilPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "0.1 0.55 1 1"; //change this
        image = MithrilPickaxeImage; //weapon image
        uiName = "B Mithril Pickaxe"; //in game name
};
//Mithril Pickaxe Image
datablock ShapeBaseImageData(MithrilPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "0.1 0.55 1 1"; //change this
        projectile = MithrilPickaxeProjectile; //weapon projectile
};


////////
//Plastinium//
////////

//Plastinium Pickaxe Projectile
datablock ProjectileData(PlastiniumPickaxeProjectile : NewPickaxeProjectile)
{
        directDamage = 40; //change this
        uiName = "B Plastinium Pickaxe Hit"; //in game name
};
//Plastinium Pickaxe Item
datablock ItemData(PlastiniumPickaxeItem : NewPickaxeItem)
{
        colorShiftColor = "1 1 1 1"; //change this
        image = PlastiniumPickaxeImage; //weapon image
        uiName = "B Plastinium Pickaxe"; //in game name
};
//Plastinium Pickaxe Image
datablock ShapeBaseImageData(PlastiniumPickaxeImage : NewPickaxeImage)
{
        colorShiftColor = "1 1 1 1"; //change this
        projectile = PlastiniumPickaxeProjectile; //weapon projectile
};

