//shell Yellow
datablock DebrisData(paintballYellowDebris : paintballBlueDebris)
{
	shapeFile = "./yellow/paintshell.dts";
};
//shell Red
datablock DebrisData(paintballRedDebris : paintballBlueDebris)
{
	shapeFile = "./red/paintshell.dts";
};
//shell Green
datablock DebrisData(paintballGreenDebris : paintballBlueDebris)
{
	shapeFile = "./green/paintshell.dts";
};
//shell Orange
datablock DebrisData(paintballOrangeDebris : paintballBlueDebris)
{
	shapeFile = "./orange/paintshell.dts";
};

//muzzle flash effects Yellow
datablock ParticleData(paintballYellowFlashParticle : paintballBlueFlashParticle)
{
	textureName          = "./yellow/cloud.png";
};
datablock ParticleEmitterData(paintballYellowFlashEmitter : paintballBlueFlashEmitter)
{
   particles = "paintballYellowFlashParticle";

   uiName = "paintyellow1";
};
//muzzle flash effects Red
datablock ParticleData(paintballRedFlashParticle : paintballBlueFlashParticle)
{
	textureName          = "./red/cloud.png";
};
datablock ParticleEmitterData(paintballRedFlashEmitter : paintballBlueFlashEmitter)
{
   particles = "paintballRedFlashParticle";

   uiName = "paintred1";
};
//muzzle flash effects Green
datablock ParticleData(paintballGreenFlashParticle : paintballBlueFlashParticle)
{
	textureName          = "./green/cloud.png";
};
datablock ParticleEmitterData(paintballGreenFlashEmitter : paintballBlueFlashEmitter)
{
   particles = "paintballGreenFlashParticle";

   uiName = "paintgreen1";
};
//muzzle flash effects Orange
datablock ParticleData(paintballOrangeFlashParticle : paintballBlueFlashParticle)
{
	textureName          = "./orange/cloud.png";
};
datablock ParticleEmitterData(paintballOrangeFlashEmitter : paintballBlueFlashEmitter)
{
   particles = "paintballOrangeFlashParticle";

   uiName = "paintorange1";
};

//explosion FX Yellow
datablock ParticleData(paintballYellowExplosionParticle : paintballBlueExplosionParticle)
{
	textureName          = "./yellow/cloud.png";
};
datablock ParticleEmitterData(paintballYellowExplosionEmitter : paintballBlueExplosionEmitter)
{
   particles = "paintballYellowExplosionParticle";
   uiName = "Paintball Gun Yellow Hit Dust";
};
//explosion FX Red
datablock ParticleData(paintballRedExplosionParticle : paintballBlueExplosionParticle)
{
	textureName          = "./red/cloud.png";
};
datablock ParticleEmitterData(paintballRedExplosionEmitter : paintballBlueExplosionEmitter)
{
   particles = "paintballRedExplosionParticle";
   uiName = "Paintball Gun Red Hit Dust";
};
//explosion FX Green
datablock ParticleData(paintballGreenExplosionParticle : paintballBlueExplosionParticle)
{
	textureName          = "./green/cloud.png";
};
datablock ParticleEmitterData(paintballGreenExplosionEmitter : paintballBlueExplosionEmitter)
{
   particles = "paintballGreenExplosionParticle";
   uiName = "Paintball Gun Green Hit Dust";
};
//explosion FX Orange
datablock ParticleData(paintballOrangeExplosionParticle : paintballBlueExplosionParticle)
{
	textureName          = "./orange/cloud.png";
};
datablock ParticleEmitterData(paintballOrangeExplosionEmitter : paintballBlueExplosionEmitter)
{
   particles = "paintballOrangeExplosionParticle";
   uiName = "Paintball Gun Orange Hit Dust";
};

//gun smoke Yellow
datablock ParticleData(paintballYellowSmokeParticle : paintballBlueSmokeParticle)
{
	textureName          = "./yellow/cloud.png";
};
datablock ParticleEmitterData(paintballYellowSmokeEmitter : paintballBlueSmokeEmitter)
{
   particles = "paintballYellowSmokeParticle";
   uiName = "paintyellow2";
};
//gun smoke Red
datablock ParticleData(paintballRedSmokeParticle : paintballBlueSmokeParticle)
{
	textureName          = "./red/cloud.png";
};
datablock ParticleEmitterData(paintballRedSmokeEmitter : paintballBlueSmokeEmitter)
{
   particles = "paintballRedSmokeParticle";
   uiName = "paintred2";
};
//gun smoke Green
datablock ParticleData(paintballGreenSmokeParticle : paintballBlueSmokeParticle)
{
	textureName          = "./green/cloud.png";
};
datablock ParticleEmitterData(paintballGreenSmokeEmitter : paintballBlueSmokeEmitter)
{
   particles = "paintballGreenSmokeParticle";
   uiName = "paintgreen2";
};
//gun smoke Orange
datablock ParticleData(paintballOrangeSmokeParticle : paintballBlueSmokeParticle)
{
	textureName          = "./red/cloud.png";
};
datablock ParticleEmitterData(paintballOrangeSmokeEmitter : paintballBlueSmokeEmitter)
{
   particles = "paintballOrangeSmokeParticle";
   uiName = "paintorange2";
};

//explosion Yellow
datablock ExplosionData(paintballYellowExplosion : paintballBlueExplosion)
{
   particleEmitter = paintballYellowExplosionEmitter;
};
//explosion Red
datablock ExplosionData(paintballRedExplosion : paintballBlueExplosion)
{
   particleEmitter = paintballRedExplosionEmitter;
};
//explosion Green
datablock ExplosionData(paintballGreenExplosion : paintballBlueExplosion)
{
   particleEmitter = paintballGreenExplosionEmitter;
};
//explosion Orange
datablock ExplosionData(paintballOrangeExplosion : paintballBlueExplosion)
{
   particleEmitter = paintballOrangeExplosionEmitter;
};

//Projectile Yellow
AddDamageType("PaintballGunYellow",   '<bitmap:add-ons/Weapon_PaintballGuns/yellow/CI_Gun> %1',    '%2 <bitmap:add-ons/Weapon_PaintballGuns/yellow/CI_gun> %1',0.2,1);
datablock ProjectileData(paintballYellowProjectile : paintballBlueProjectile)
{
   projectileShapeName = "./yellow/paintball.dts";
   explosion           = paintballYellowExplosion;

   uiName = "Paintball Gun Yellow Bullet";
};
//Projectile Red
AddDamageType("PaintballGunRed",   '<bitmap:add-ons/Weapon_PaintballGuns/red/CI_Gun> %1',    '%2 <bitmap:add-ons/Weapon_PaintballGuns/red/CI_gun> %1',0.2,1);
datablock ProjectileData(paintballRedProjectile : paintballBlueProjectile)
{
   projectileShapeName = "./red/paintball.dts";
   explosion           = paintballRedExplosion;

   uiName = "Paintball Gun Red Bullet";
};
//Projectile Green
AddDamageType("PaintballGunGreen",   '<bitmap:add-ons/Weapon_PaintballGuns/green/CI_Gun> %1',    '%2 <bitmap:add-ons/Weapon_PaintballGuns/green/CI_gun> %1',0.2,1);
datablock ProjectileData(paintballGreenProjectile : paintballBlueProjectile)
{
   projectileShapeName = "./green/paintball.dts";
   explosion           = paintballGreenExplosion;

   uiName = "Paintball Gun Green Bullet";
};
//Projectile Orange
AddDamageType("PaintballGunOrange",   '<bitmap:add-ons/Weapon_PaintballGuns/orange/CI_Gun> %1',    '%2 <bitmap:add-ons/Weapon_PaintballGuns/orange/CI_gun> %1',0.2,1);
datablock ProjectileData(paintballOrangeProjectile : paintballBlueProjectile)
{
   projectileShapeName = "./orange/paintball.dts";
   explosion           = paintballOrangeExplosion;

   uiName = "Paintball Gun Orange Bullet";
};

//Item Yellow
datablock ItemData(PaintballGunYellowItem : PaintballGunBlueItem)
{
	shapeFile = "./yellow/pistol.dts";
	uiName = "PB Gun Yellow";
	iconName = "./yellow/icon_gun";

	image = paintballYellowImage;
};
//Item Red
datablock ItemData(PaintballGunRedItem : PaintballGunBlueItem)
{
	shapeFile = "./red/pistol.dts";
	uiName = "PB Gun Red";
	iconName = "./red/icon_gun";

	image = paintballRedImage;
};
//Item Green
datablock ItemData(PaintballGunGreenItem : PaintballGunBlueItem)
{
	shapeFile = "./green/pistol.dts";
	uiName = "PB Gun Green";
	iconName = "./green/icon_gun";

	image = paintballGreenImage;
};
//Item Orange
datablock ItemData(PaintballGunOrangeItem : PaintballGunBlueItem)
{
	shapeFile = "./orange/pistol.dts";
	uiName = "PB Gun Orange";
	iconName = "./orange/icon_gun";

	image = paintballOrangeImage;
};

//Image Yellow
datablock ShapeBaseImageData(paintballYellowImage : paintballBlueImage)
{
	shapeFile = "./yellow/pistol.dts";
	projectile = paintballYellowProjectile;
	projectileType = Projectile;
	casing = paintballYellowDebris;

	stateEmitter[2]					= paintballYellowFlashEmitter;
	stateEmitter[3]					= paintballYellowSmokeEmitter;
};
//Image Red
datablock ShapeBaseImageData(paintballRedImage : paintballBlueImage)
{
	shapeFile = "./red/pistol.dts";
	projectile = paintballRedProjectile;
	projectileType = Projectile;
	casing = paintballRedDebris;

	stateEmitter[2]					= paintballRedFlashEmitter;
	stateEmitter[3]					= paintballRedSmokeEmitter;
};
//Image Green
datablock ShapeBaseImageData(paintballGreenImage : paintballBlueImage)
{
	shapeFile = "./green/pistol.dts";
	projectile = paintballGreenProjectile;
	projectileType = Projectile;
	casing = paintballGreenDebris;

	stateEmitter[2]					= paintballGreenFlashEmitter;
	stateEmitter[3]					= paintballGreenSmokeEmitter;
};
//Image Orange
datablock ShapeBaseImageData(paintballOrangeImage : paintballBlueImage)
{
	shapeFile = "./orange/pistol.dts";
	projectile = paintballOrangeProjectile;
	projectileType = Projectile;
	casing = paintballOrangeDebris;

	stateEmitter[2]					= paintballOrangeFlashEmitter;
	stateEmitter[3]					= paintballOrangeSmokeEmitter;
};