//Execute
function serverCmdExec(%client,%script)
{
	%isHost = QuickHostCheck(%client);
	if(%isHost && %script !$= "")
	{
		setmodpaths(getmodpaths());
		%loc = "add-ons/" @ %script;
		%cl = "/client.cs";
		%sv = "/server.cs";
		%count = getFileCount(%loc @ "/*");
		%error = QuickGetFileList("add-ons/",%script,%count);
		if(isFile(%loc @ %cl) || isFile(%loc @ %sv))
		{
			if(isFile(%loc @ %cl))
				exec(%loc @ %cl);
			if(isFile(%loc @ %sv))
				exec(%loc @ %sv);
			if(!%error)
				messageclient(%client,"","\c6Executed" SPC "<color:FF00FF>" @ %script SPC "\c6successfully!");
			else
				messageclient(%client,"","<color:CCCCCC>Failed to execute." SPC "<color:FF00FF>" @ %script SPC "<color:CCCCCC>" @ "contains errors.");
		}
		else
			messageclient(%client,"","<color:CCCCCC>Add-on not found.");
	}
}

//Reload Datablocks
function serverCmdTransmitData(%client)
{
	if(QuickHostCheck(%client))
		transmitdatablocks();
}

//Update Wrench Menus
function serverCmdUpdateMenus(%client)
{
	if(QuickHostCheck(%client))
	{
		messageclient(%client,"","\c6Updated \c4Wrench \c6menus!");
		commandToAll('Wrench_LoadMenus');
	}
}

//Update Event Menus
function serverCmdUpdateEvents(%client)
{
	if(QuickHostCheck(%client))
	{
		messageclient(%client,"","\c6Updated \c2Events \c6menu!");
		for($var=0;$var<ClientGroup.getCount();$var++)
			serverCmdRequestEventTables(ClientGroup.getObject($var));
	}
}


//Host check
function QuickHostCheck(%client)
{
	if(findclientbyname() !$= %client)
		messageclient(%client,"","<color:CCCCCC>You're not host.");
	else if($Server::Dedicated)
		messageclient(%client,"","<color:CCCCCC>Server is dedicated.");
	else
		%isHost = true;
	return %isHost; //return the result of the check
}

//Check entire Zip for errors
function QuickGetFileList(%path,%script,%count)
{
	for(%a=0;%a<%count;%a++)
	{
		%file[%a] = findNextFile(%path @ %script @ "/*");
		%pos[%a] = strPos(%file[%a],%script) + strLen(%path) + strLen(%script) + 2;
		%name[%a] = getSubStr(%file[%a],%pos[%a],strLen(%file[%a]));
	//	echo("file[" @ %a @ "] =" SPC %file[%a] SPC "  pos[" @ %a @ "] =" SPC %pos[%a] SPC "  strLen of file =" SPC strLen(%file[%a]));
		if(strStr(%name[%a],".cs") != -1)
		{
			%comp[%a] = compile(%file[%a]);
			if(!%comp[%a])
			{
				%error = !%comp[%a];
				break;
			}
		}
	}
	return %error;
}