//Datablock change Animation Bug Fix
package DataAnimFix
{
	//on Player first spawn
	function Armor::onAdd(%data,%player)
	{
		Parent::onAdd(%data,%player);
		%player.setActionThread(root); //Fix stuck animation on spawn
	}
	//on Datablock change
	function Armor::onNewDatablock(%data,%player)
	{
		Parent::onNewDatablock(%data,%player);
		for(%a=0;%a<4;%a++)
		{
			if(%a == 1) //If slot 1
				continue; //skip from here to the next loop
			%player.playthread(%a,root); //reset threads
			if(%player.lastPlayedThread[%a] !$= "root") //if last played thread is not "root"
				%player.schedule(2,playthread,%a,%player.lastPlayedThread[%a]); //Wait 2 ms, then play the thread again
		}
	}
	//on Animate
	function Player::Playthread(%player,%slot,%thread)
	{
		Parent::Playthread(%player,%slot,%thread); //Do regular animating
		if(%thread !$= "root") //If thread is not "root"
		{
			schedule(1,0,eval,%player@".lastPlayedThread["@%slot@"] = root;"); //reset saved thread to root
			%player.lastPlayedThread[%slot] = %thread; //save last played animation
		}
		else if(%player.lastPlayedThread[%slot] $= "") //If last thread in %slot undefined, set it to "root"
			%player.lastPlayedThread[%slot] = root; //
	//	echo(%player.getShapeName() @ "'s Thread parented  slot =" SPC %slot SPC "  thread =" SPC %thread);	
	}
};activatepackage(DataAnimFix);